# Licenses

## Emojis

The emojis and all derived graphics belong to Twitter, Inc and other contributors (Copyright 2019).
They are licensed under CC-BY 4.0: https://creativecommons.org/licenses/by/4.0/.

Hence, attribution of the original work is needed.

### Attribution

**I'm no lawyer, so take this section with a grain of salt.**

As the emojis themselves are licensed under CC-BY they require attribution but are open to be distributed and modified anyway you like (which makes these packages possible).
I'm not sure whether the attribution in the package's source code and in this repository is enough for a file (e.g. PDF) generated with this package to be covered as well (doubt it, really).

So, I see two different possibilities to attribute the emojis in a compiled document:

1. Add attribution to the metadata of the document.
   For example with <https://www.ctan.org/pkg/hyperxmp> in PDF files.
2. Add attribution in the document directly (e.g. on the last page of a presentation).
   For example:
   ```
   Emoji graphics licensed under CC-BY 4.0: https://creativecommons.org/licenses/by/4.0/
   Copyright 2019 Twitter, Inc and other contributors
   ```
   I consider this option to be the safest.

## LaTeX Package

The LaTeX packages are licensed under the LPPL 1.3 or later License.

> Copyright (c) 2021-2022 Jost Rossel
> This file may be distributed and/or modified under the
> conditions of the LaTeX Project Public License, either
> version 1.3 of this license or (at your option) any later
> version. The latest version of this license is in:
>
>     http://www.latex-project.org/lppl.txt
>
> and version 1.3 or later is part of all distributions of
> LaTeX version 2005/12/01 or later.
